Ruby: Data Fields - Variables

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - _ -

- _memory_view_entry : rb_memory_view_t

### - a -

- ary : RArray, RObject, RString
- as : RArray, RObject, RString
- aux : RArray, RString
- available_p_func : rb_memory_view_entry

### - b -

- basic : RArray, RData, RFile, RMatch, RObject, RRegexp, RString, RTypedData
- beg : rmatch_offset
- begin : rb_arithmetic_sequence_components_t
- byte_size : rb_memory_view_t

### - c -

- capa : RArray, rb_fdset_t, rb_io_buffer_t, RString
- cbuf : rb_io_t
- char_offset : rmatch
- char_offset_num_allocated : rmatch
- components : rb_memory_view_t
- cref : rb_method_iseq_struct
- cref_or_me : vm_svar

### - d -

- data : rb_data_type_struct, rb_memory_view_t, RData, RTypedData
- dcompact : rb_data_type_struct
- default_seed_bits : rb_random_interface_t
- dfree : rb_data_type_struct, RData
- dmark : rb_data_type_struct, RData
- dsize : rb_data_type_struct

### - e -

- ecflags : rb_io_enc_t
- ecopts : rb_io_enc_t
- embed : RString
- enc : rb_io_enc_t
- enc2 : rb_io_enc_t
- encs : rb_io_t
- end : rb_arithmetic_sequence_components_t, rmatch_offset
- exclude_end : rb_arithmetic_sequence_components_t

### - f -

- fd : rb_io_t
- fdset : rb_fdset_t
- finalize : rb_io_t
- flags : rb_data_type_struct, rb_random_interface_t, RBasic
- format : rb_memory_view_item_component_t, rb_memory_view_t
- fptr : RFile
- free : rb_ractor_local_storage_type
- function : rb_data_type_struct

### - g -

- get_bytes : rb_random_interface_t
- get_func : rb_memory_view_entry
- get_int32 : rb_random_interface_t
- get_real : rb_random_interface_t

### - h -

- heap : RArray, RObject, RString

### - i -

- init : rb_random_interface_t
- init_int32 : rb_random_interface_t
- iseqptr : rb_method_iseq_struct
- item_desc : rb_memory_view_t
- item_size : rb_memory_view_t
- iv_index_tbl : RObject
- ivptr : RObject

### - k -

- klass : RBasic

### - l -

- len : RArray, rb_io_buffer_t, RString
- length : rb_memory_view_t
- lineno : rb_io_t
- little_endian_p : rb_memory_view_item_component_t

### - m -

- mark : rb_ractor_local_storage_type
- maxfd : rb_fdset_t
- mode : rb_io_t
- module_subclass_entry : rb_classext_struct

### - n -

- native_size_p : rb_memory_view_item_component_t
- ndim : rb_memory_view_t

### - o -

- obj : rb_memory_view_t
- off : rb_io_buffer_t
- offset : rb_memory_view_item_component_t

### - p -

- param : rb_iseq_constant_body
- parent : rb_data_type_struct
- pathv : rb_io_t
- pid : rb_io_t
- private_data : rb_memory_view_t
- ptr : RArray, rb_io_buffer_t, RRegexp, RString

### - r -

- rbuf : rb_io_t
- readconv : rb_io_t
- readonly : rb_memory_view_t
- regexp : RMatch
- regs : rmatch
- release_func : rb_memory_view_entry
- repeat : rb_memory_view_item_component_t
- reserved : rb_data_type_struct
- rmatch : RMatch

### - s -

- seed : rb_random_struct
- segments : iseq_inline_constant_cache
- self : rb_io_t
- shape : rb_memory_view_t
- shared : RString
- shared_root : RArray
- size : rb_memory_view_item_component_t
- src : RRegexp
- stdio_file : rb_io_t
- step : rb_arithmetic_sequence_components_t
- str : RMatch
- strides : rb_memory_view_t
- sub_offsets : rb_memory_view_t

### - t -

- tied_io_for_writing : rb_io_t
- timeout : rb_io_t
- type : RTypedData
- typed_flag : RTypedData

### - u -

- usecnt : RRegexp

### - v -

- version : rb_random_interface_t

### - w -

- wbuf : rb_io_t
- wrap_struct_name : rb_data_type_struct
- write_lock : rb_io_t
- writeconv : rb_io_t
- writeconv_asciicompat : rb_io_t
- writeconv_initialized : rb_io_t
- writeconv_pre_ecflags : rb_io_t
- writeconv_pre_ecopts : rb_io_t